Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.webapp
Class WebInfConfiguration

    java.lang.Object
      org.mortbay.jetty.webapp.WebInfConfiguration

All Implemented Interfaces:
  Serializable, Configuration

    public class WebInfConfiguration

extends Object
implements Configuration

Configure class path from a WEB-INF directory found within a contexts resource base.

Author:
  gregw
See Also:
  Serialized Form

Field Summary
`protected WebAppContext` | `_context`

Constructor Summary
`WebInfConfiguration()`

Method Summary
`void` | `configureClassLoader()` Configure ClassPath.
`void` | `configureDefaults()` Configure Defaults.
`void` | `configureWebApp()` Configure WebApp.
`void` | `deconfigureWebApp()` DeConfigure WebApp.
`WebAppContext` | `getWebAppContext()` Get the context on which the configuration is performed.
`void` | `setWebAppContext(WebAppContext context)` Set up a context on which to perform the configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _context

    protected WebAppContext _context

Constructor Detail

### WebInfConfiguration

    public WebInfConfiguration()

Method Detail

### setWebAppContext

    public void setWebAppContext(WebAppContext context)

  Description copied from interface: `Configuration`
  Set up a context on which to perform the configuration.

  Specified by:
    `setWebAppContext` in interface `Configuration`

### getWebAppContext

    public WebAppContext getWebAppContext()

  Description copied from interface: `Configuration`
  Get the context on which the configuration is performed.

  Specified by:
    `getWebAppContext` in interface `Configuration`

### configureClassLoader

    public void configureClassLoader()
                              throws Exception

  Configure ClassPath. This method is called before the context ClassLoader is created. Paths and libraries should be added to the context using the setClassPath, addClassPath and addClassPaths methods. The default implementation looks for WEB-INF/classes, WEB-INF/lib/*.zip and WEB-INF/lib/*.jar

  Specified by:
    `configureClassLoader` in interface `Configuration`
  Throws:
    `Exception`

### configureDefaults

    public void configureDefaults()
                           throws Exception

  Description copied from interface: `Configuration`
  Configure Defaults. This method is called to intialize the context to the containers default configuration. Typically this would mean application of the webdefault.xml file.

  Specified by:
    `configureDefaults` in interface `Configuration`
  Throws:
    `Exception`

### configureWebApp

    public void configureWebApp()
                         throws Exception

  Description copied from interface: `Configuration`
  Configure WebApp. This method is called to apply the standard and vendor deployment descriptors. Typically this is web.xml and jetty-web.xml.

  Specified by:
    `configureWebApp` in interface `Configuration`
  Throws:
    `Exception`

### deconfigureWebApp

    public void deconfigureWebApp()
                           throws Exception

  Description copied from interface: `Configuration`
  DeConfigure WebApp. This method is called to undo all configuration done to this webapphandler. This is called to allow the context to work correctly over a stop/start cycle

  Specified by:
    `deconfigureWebApp` in interface `Configuration`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.